Bug 72900 - repocopy java/jboss3 port to java/jboss4
Summary: repocopy java/jboss3 port to java/jboss4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-20 01:20 UTC by Nick Sayer
Modified: 2004-11-25 03:49 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Sayer 2004-10-20 01:20:25 UTC
JBoss 4 is out. Merely changing the version number in the port and
'make checksum' appears to be sufficient to upgrade the port.

Fix: 

Change the PORTVERSION to 4.0.0.
make makesum
make install
Have a Fresca.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-10-24 00:31:13 UTC
State Changed
From-To: open->feedback

To maintainer: do you approve of this update? 

To submitter: please remember to Cc: the port maintainer when submitting 
ports PRs, thanks.
Comment 2 Mark Linimon 2004-11-07 04:35:37 UTC
On Sunday 24 October 2004 05:48 am, Jonathan Chen wrote:

> I'd prefer a java/jboss4 port instead. The JBoss 4.0.0 release has
> some obscure problems (or so they say - I'm looking into this), so
> I'd prefer a new port for the JBoss-4 series instead.

So can we generate a consensus that this PR should be changed to
a repocopy request?

mcl
Comment 3 Hervé Quiroz 2004-11-07 13:09:44 UTC
On Sat, Nov 06, 2004 at 10:35:37PM -0600, Mark Linimon wrote:
> So can we generate a consensus that this PR should be changed to
> a repocopy request?

I agree. Let's repocopy this port.

BTW, before you commit the final "update to 4.0.0" patch, I would be
glad if you could update the port to bsd.java.mk 2.0 syntax while you're
here:

USE_JAVA=	yes
JAVA_VERSION=	1.4+

Herve
Comment 4 Jonathan Chen 2004-11-07 18:38:58 UTC
On Sat, Nov 06, 2004 at 10:35:37PM -0600, Mark Linimon wrote:
> On Sunday 24 October 2004 05:48 am, Jonathan Chen wrote:
> 
> > I'd prefer a java/jboss4 port instead. The JBoss 4.0.0 release has
> > some obscure problems (or so they say - I'm looking into this), so
> > I'd prefer a new port for the JBoss-4 series instead.
> 
> So can we generate a consensus that this PR should be changed to
> a repocopy request?

Sounds good to me.
-- 
Jonathan Chen <jonc@chen.org.nz>
----------------------------------------------------------------------
The human mind ordinarily operates at only ten percent of its capacity
                     -- the rest is overhead for the operating system.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2004-11-16 06:31:25 UTC
State Changed
From-To: feedback->repocopy

Get this on the right track to be a repocopy. 


Comment 6 Mark Linimon freebsd_committer freebsd_triage 2004-11-16 06:31:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr
Comment 7 Joe Marcus Clarke freebsd_committer 2004-11-17 05:04:08 UTC
State Changed
From-To: repocopy->open

Repo-copy completed. 


Comment 8 Joe Marcus Clarke freebsd_committer 2004-11-17 05:04:08 UTC
Responsible Changed
From-To: portmgr->linimon

Repo-copy completed.
Comment 9 Mark Linimon freebsd_committer freebsd_triage 2004-11-17 06:03:05 UTC
State Changed
From-To: open->feedback

Well, I guess without realizing it, by setting the state to repocopy 
I wound up owning the PR -- or rather, it owned me. 

The following statement: 

Merely changing the version number in the port and 
'make checksum' appears to be sufficient to upgrade the port. 

while technically true, does not cover the fact that the plist is 
off by, say, 1576 lines.  Needless to say, the deinstall does not 
complete, and I'm not real thrilled with the result. 

I have not yet hooked jboss4 up to the build because of this. 
Could either the submitter or the maintainer take a look at generating 
the appropriate patches, or find out if there is an automated way 
that bsd.java.mk supports to autogenerate the plist?
Comment 10 Mark Linimon freebsd_committer freebsd_triage 2004-11-17 19:57:25 UTC
State Changed
From-To: feedback->open

Over to new volunteer. 


Comment 11 Mark Linimon freebsd_committer freebsd_triage 2004-11-17 19:57:25 UTC
Responsible Changed
From-To: linimon->hq
Comment 12 Hervé Quiroz 2004-11-18 17:35:02 UTC
Here is a patch with the following changes for you to review (either the
maintainer or the original submitter):

- ECHO_CMD -> ECHO_MSG: As specified in bsd.port.mk, ECHO_MSG should be used to
  echo messages
- Use FIND | INSTALL_DATA to install documentation: CP -r may indeed cause
  trouble as produced files could have wrong permissions and/or ownership (e.g.
  when built as a user and installed as root). But we could also use CPIO (see
  notes below).
- Removed pkg-plist by using a dynamic one for APP_HOME installed files and
  PLIST_FILES for scripts
- Added a missing SETENV macro in pre-install target
- Put JAVA_HOME/bin in front of PATH as the new javavmwrapper version would
  otherwise cause trouble (see UPDATING for further information)
- Tweaked the comment: the name of the port is redundant here

NOTE: I think we could also use FIND | INSTALL to install files in APP_HOME.
CPIO would provide the right ownership but there may be trouble when the port
is built with an unusual umask for instance. The porter's handbook strongly
encourages the use of INSTALL_* macros (although here we would have to use
"INSTALL -o ${USER} -g ${GROUP} -m 0640"). Anyway, the best is probably to use
the same method for APP_HOME files and documentation in PORTDOCS, so I guess
we'll have to change one or the other. The FIND | INSTALL approach I
implemented is just here to demonstrate this approch. I'll provide a clean
patch once we decide which way to go. Basically, FIND | INSTALL is more strict
and enforces the right permissions and ownership in all cases while CPIO is
faster (although I have no benchmark to illustrate this).

NOTE2: How about having log files in /var/log/jboss4/? I'm not used to JBoss
myself but it seems to better honor hier(7).

NOTE3: The same way, how about having APP_HOME=${JAVASHAREDIR}/jboss4, as
encouraged in the Porter's handbook [1] for Java application ports? I know
other JBoss ports are installed directly under PREFIX but this does not quite
comply with hier(7) here again. Most of the installed files for this port are
indeed clearly "architecture-independent files" (data files, JAR files,
scripts...).


Herve

[1] Porter's handbook - Using Java - Best practices
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/using-java.html#JAVA-BEST-PRACTICES


Index: Makefile
===================================================================
RCS file: /var/fcvs/ports/java/jboss4/Makefile,v
retrieving revision 1.26
diff -u -r1.26 Makefile
--- Makefile	17 Nov 2004 05:21:13 -0000	1.26
+++ Makefile	18 Nov 2004 17:15:58 -0000
@@ -13,7 +13,7 @@
 DISTNAME=	${PORTNAME}-${PORTVERSION}-src
 
 MAINTAINER=	jonc@chen.org.nz
-COMMENT=	JBoss 4.x, an open-source J2EE application server
+COMMENT=	Open-source J2EE application server (4.x family)
 
 BUILD_DEPENDS=	${LOCALBASE}/bin/ant:${PORTSDIR}/devel/apache-ant
 
@@ -31,7 +31,6 @@
 APP_HOME?=	${PREFIX}/${PKGBASE}${PORTVERSION:R}
 DOCSDIR=	${PREFIX}/share/doc/${PKGBASE}${PORTVERSION:R}
 LOG_DIR=	${APP_HOME}/log
-PLIST_SUB+=	T=${APP_HOME:S/^${PREFIX}\///}
 APP_TITLE=	JBoss
 APP_SHORTNAME=	${PORTNAME}${PORTVERSION:R:R}
 CONTROL_SCRIPT_NAME=	${APP_SHORTNAME}ctl
@@ -55,6 +54,12 @@
 MAN1=		${CONTROL_SCRIPT_NAME}.1
 
 JBOSSOUTPUT=	${WRKSRC}/build/output/${PORTNAME}-${PORTVERSION}
+APP_HOME_FILES=	bin client lib server
+
+PLIST_FILES=	${CONTROL_SCRIPT:S,^${PREFIX}/,,} \
+		${STARTUP_SCRIPT:S,^${PREFIX}/,,} \
+		${STDOUT_LOG:S,^${PREFIX}/,,} \
+		${STDERR_LOG:S,^${PREFIX}/,,}
 
 .include <bsd.port.pre.mk>
 
@@ -88,30 +93,30 @@
 		-e "s|%%USER%%|${USER}|g;" ${DAEMONCTL_FILES})
 
 post-configure:
-	@${ECHO_CMD} "Installation settings:"
-	@${ECHO_CMD} "   Destination directory:    ${APP_HOME}"
-	@${ECHO_CMD} "   Control program location: ${CONTROL_SCRIPT}"
-	@${ECHO_CMD} "   Startup script location:  ${STARTUP_SCRIPT}"
-	@${ECHO_CMD} "   Location of JDK:          ${JAVA_HOME}"
-	@${ECHO_CMD} "   Location of Java port:    ${JAVA_PORT}"
-	@${ECHO_CMD} "   Startup Java Options:     ${JAVA_OPTS}"
-	@${ECHO_CMD} "   Running as (user/group):  ${USER}/${GROUP}"
-	@${ECHO_CMD} "   Logfile stdout:           ${STDOUT_LOG}"
-	@${ECHO_CMD} "   Logfile stderr:           ${STDERR_LOG}"
-	@${ECHO_CMD} "   Starting after install:   ${AUTO_START}"
-	@${ECHO_CMD} "   Stop time-out:            ${STOP_TIMEOUT} sec."
+	@${ECHO_MSG} "Installation settings:"
+	@${ECHO_MSG} "   Destination directory:    ${APP_HOME}"
+	@${ECHO_MSG} "   Control program location: ${CONTROL_SCRIPT}"
+	@${ECHO_MSG} "   Startup script location:  ${STARTUP_SCRIPT}"
+	@${ECHO_MSG} "   Location of JDK:          ${JAVA_HOME}"
+	@${ECHO_MSG} "   Location of Java port:    ${JAVA_PORT}"
+	@${ECHO_MSG} "   Startup Java Options:     ${JAVA_OPTS}"
+	@${ECHO_MSG} "   Running as (user/group):  ${USER}/${GROUP}"
+	@${ECHO_MSG} "   Logfile stdout:           ${STDOUT_LOG}"
+	@${ECHO_MSG} "   Logfile stderr:           ${STDERR_LOG}"
+	@${ECHO_MSG} "   Starting after install:   ${AUTO_START}"
+	@${ECHO_MSG} "   Stop time-out:            ${STOP_TIMEOUT} sec."
 
 do-build:
 	(cd ${WRKDIR} && ${CC} ${CFLAGS} -o ${CONTROL_SCRIPT_NAME} daemonctl.c)
-	(cd ${WRKSRC}/build && ${SETENV} JAVA_HOME=${JAVA_HOME} PATH=${PATH}:${JAVA_HOME}/bin ${SH} build.sh)
+	(cd ${WRKSRC}/build && ${SETENV} JAVA_HOME=${JAVA_HOME} PATH=${JAVA_HOME}/bin:${PATH} ${SH} build.sh)
 
 pre-install:
-	@PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
+	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
 
 do-install:
 	${MKDIR} ${APP_HOME} && ${CHOWN} ${USER}:${GROUP} ${APP_HOME}
 	${MKDIR} ${LOG_DIR} && ${CHOWN} ${USER}:${GROUP} ${LOG_DIR}
-	(cd ${JBOSSOUTPUT} && ${FIND} bin client lib server |\
+	(cd ${JBOSSOUTPUT} && ${FIND} ${APP_HOME_FILES} |\
 		${CPIO} -pdmu -R ${USER}:${GROUP} ${APP_HOME})
 	${INSTALL} -o ${USER} -g ${GROUP} -m 06754\
 		${WRKDIR}/${CONTROL_SCRIPT_NAME} ${CONTROL_SCRIPT}
@@ -121,14 +126,21 @@
 	${INSTALL} -o ${USER} -g ${GROUP} -m 0640 /dev/null ${PID_FILE}
 	${INSTALL_MAN} ${WRKDIR}/daemonctl.1 ${MANPREFIX}/man/man1/${CONTROL_SCRIPT_NAME}.1
 .if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-	${CP} -r ${JBOSSOUTPUT}/docs/* ${DOCSDIR}
+	cd ${JBOSSOUTPUT}/docs \
+		&& ${FIND} . -type d -exec ${MKDIR} ${DOCSDIR}/{} \; \
+		&& ${FIND} . -type f -exec ${INSTALL_DATA} {} ${DOCSDIR}/{} \;
 .endif
 
 post-install:
-	@${ECHO_CMD} "${PKGNAME} has been installed in ${APP_HOME}."
-	@${ECHO_CMD} "If a user should be able to use ${CONTROL_SCRIPT_NAME}, put it in the group ${GROUP}."
-	@${ECHO_CMD} "Use 'man ${CONTROL_SCRIPT_NAME}' for information about starting and stopping ${PORTNAME}."
+	@${FIND} -s ${APP_HOME_FILES:S,^,${JBOSSOUTPUT}/,} -not -type d | \
+		${SED} -ne 's,^${JBOSSOUTPUT},${APP_HOME:S,${PREFIX}/,,},p' >> ${TMPPLIST}
+	@${FIND} -s -d ${APP_HOME_FILES:S,^,${JBOSSOUTPUT}/,} -type d | \
+		${SED} -ne 's,^${JBOSSOUTPUT},@dirrm ${APP_HOME:S,${PREFIX}/,,},p' >> ${TMPPLIST}
+	@${ECHO_CMD} "@dirrm ${APP_HOME:S,^${PREFIX}/,,}/log" >> ${TMPPLIST}
+	@${ECHO_CMD} "@dirrm ${APP_HOME:S,^${PREFIX}/,,}" >> ${TMPPLIST}
+	@${ECHO_MSG} "${PKGNAME} has been installed in ${APP_HOME}."
+	@${ECHO_MSG} "If a user should be able to use ${CONTROL_SCRIPT_NAME}, put it in the group ${GROUP}."
+	@${ECHO_MSG} "Use 'man ${CONTROL_SCRIPT_NAME}' for information about starting and stopping ${PORTNAME}."
 .if ${AUTO_START} == "YES"
 	@${CONTROL_SCRIPT} start || true
 .endif
Index: pkg-plist
===================================================================
RCS file: pkg-plist
diff -N pkg-plist
--- pkg-plist	21 Jun 2004 16:42:58 -0000	1.9
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,573 +0,0 @@
-bin/jboss3ctl
-etc/rc.d/020.jboss3.sh
-%%T%%/bin/deployer.bat
-%%T%%/bin/deployer.sh
-%%T%%/bin/jboss_init_redhat.sh
-%%T%%/bin/jboss_init_suse.sh
-%%T%%/bin/run.bat
-%%T%%/bin/run.conf
-%%T%%/bin/run.jar
-%%T%%/bin/run.sh
-%%T%%/bin/shutdown.bat
-%%T%%/bin/shutdown.jar
-%%T%%/bin/shutdown.sh
-%%T%%/bin/twiddle.bat
-%%T%%/bin/twiddle.jar
-%%T%%/bin/twiddle.sh
-%%T%%/client/auth.conf
-%%T%%/client/avalon-framework.jar
-%%T%%/client/concurrent.jar
-%%T%%/client/getopt.jar
-%%T%%/client/gnu-regexp.jar
-%%T%%/client/jacorb.jar
-%%T%%/client/jboss-client.jar
-%%T%%/client/jboss-common-client.jar
-%%T%%/client/jboss-iiop-client.jar
-%%T%%/client/jboss-j2ee.jar
-%%T%%/client/jboss-jaas.jar
-%%T%%/client/jboss-jsr77-client.jar
-%%T%%/client/jboss-net-client.jar
-%%T%%/client/jboss-system-client.jar
-%%T%%/client/jboss-transaction-client.jar
-%%T%%/client/jbossall-client.jar
-%%T%%/client/jbosscx-client.jar
-%%T%%/client/jbossha-client.jar
-%%T%%/client/jbossmq-client.jar
-%%T%%/client/jbosssx-client.jar
-%%T%%/client/jcert.jar
-%%T%%/client/jmx-client.jar
-%%T%%/client/jmx-connector-client-factory.jar
-%%T%%/client/jmx-ejb-connector-client.jar
-%%T%%/client/jmx-invoker-adaptor-client.jar
-%%T%%/client/jmx-rmi-connector-client.jar
-%%T%%/client/jnet.jar
-%%T%%/client/jnp-client.jar
-%%T%%/client/jsse.jar
-%%T%%/client/log4j.jar
-%%T%%/client/xdoclet-module-jboss-net.jar
-%%T%%/lib/commons-httpclient.jar
-%%T%%/lib/commons-logging.jar
-%%T%%/lib/concurrent.jar
-%%T%%/lib/dom4j.jar
-%%T%%/lib/getopt.jar
-%%T%%/lib/gnu-regexp.jar
-%%T%%/lib/jboss-common.jar
-%%T%%/lib/jboss-jmx.jar
-%%T%%/lib/jboss-system.jar
-%%T%%/lib/log4j-boot.jar
-%%T%%/lib/webdavlib.jar
-%%T%%/lib/xercesImpl.jar
-%%T%%/lib/xml-apis.jar
-%%T%%/log/stderr.log
-%%T%%/log/stdout.log
-%%T%%/server/all/conf/jacorb.properties
-%%T%%/server/all/conf/jboss-minimal.xml
-%%T%%/server/all/conf/jboss-service.xml
-%%T%%/server/all/conf/jbossmq-state.xml
-%%T%%/server/all/conf/jndi.properties
-%%T%%/server/all/conf/log4j.xml
-%%T%%/server/all/conf/login-config.xml
-%%T%%/server/all/conf/server.policy
-%%T%%/server/all/conf/standardjaws.xml
-%%T%%/server/all/conf/standardjboss.xml
-%%T%%/server/all/conf/standardjbosscmp-jdbc.xml
-%%T%%/server/all/conf/xmdesc/ClientUserTransaction-xmbean.xml
-%%T%%/server/all/conf/xmdesc/JNDIView-xmbean.xml
-%%T%%/server/all/conf/xmdesc/TransactionManagerService-xmbean.xml
-%%T%%/server/all/deploy-hasingleton/jms/hsqldb-jdbc-state-service.xml
-%%T%%/server/all/deploy-hasingleton/jms/hsqldb-jdbc2-service.xml
-%%T%%/server/all/deploy-hasingleton/jms/jbossmq-destinations-service.xml
-%%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/META-INF/MANIFEST.MF
-%%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/META-INF/jboss-service.xml
-%%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/META-INF/MANIFEST.MF
-%%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/org/jboss/mq/il/http/servlet/HTTPServerILServlet.class
-%%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/roles.properties
-%%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/users.properties
-%%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/jboss-web.xml
-%%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/web.xml
-%%T%%/server/all/deploy-hasingleton/jms/jbossmq-service.xml
-%%T%%/server/all/deploy-hasingleton/jms/jvm-il-service.xml
-%%T%%/server/all/deploy-hasingleton/jms/oil-service.xml
-%%T%%/server/all/deploy-hasingleton/jms/oil2-service.xml
-%%T%%/server/all/deploy-hasingleton/jms/rmi-il-service.xml
-%%T%%/server/all/deploy-hasingleton/jms/uil2-service.xml
-%%T%%/server/all/deploy/cache-invalidation-service.xml
-%%T%%/server/all/deploy/client-deployer-service.xml
-%%T%%/server/all/deploy/cluster-service.xml
-%%T%%/server/all/deploy/deploy-hasingleton-service.xml
-%%T%%/server/all/deploy/deploy.last/farm-service.xml
-%%T%%/server/all/deploy/hsqldb-ds.xml
-%%T%%/server/all/deploy/http-invoker.sar/META-INF/MANIFEST.MF
-%%T%%/server/all/deploy/http-invoker.sar/META-INF/jboss-service.xml
-%%T%%/server/all/deploy/http-invoker.sar/invoker.war/META-INF/MANIFEST.MF
-%%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet$GetCredentialAction.class
-%%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet$GetPrincipalAction.class
-%%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet.class
-%%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/NamingFactoryServlet.class
-%%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/ReadOnlyAccessFilter.class
-%%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/roles.properties
-%%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/users.properties
-%%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/jboss-web.xml
-%%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/web.xml
-%%T%%/server/all/deploy/iiop-service.xml
-%%T%%/server/all/deploy/jboss-jca.sar
-%%T%%/server/all/deploy/jboss-local-jdbc.rar
-%%T%%/server/all/deploy/jboss-net.sar/META-INF/MANIFEST.MF
-%%T%%/server/all/deploy/jboss-net.sar/META-INF/jboss-service.xml
-%%T%%/server/all/deploy/jboss-net.sar/axis-config.xml
-%%T%%/server/all/deploy/jboss-net.sar/axis.jar
-%%T%%/server/all/deploy/jboss-net.sar/client-config.xml
-%%T%%/server/all/deploy/jboss-net.sar/commons-discovery.jar
-%%T%%/server/all/deploy/jboss-net.sar/commons-logging.jar
-%%T%%/server/all/deploy/jboss-net.sar/jaxrpc.jar
-%%T%%/server/all/deploy/jboss-net.sar/jboss-net.jar
-%%T%%/server/all/deploy/jboss-net.sar/jboss-net.war/META-INF/MANIFEST.MF
-%%T%%/server/all/deploy/jboss-net.sar/jboss-net.war/WEB-INF/jboss-web.xml
-%%T%%/server/all/deploy/jboss-net.sar/jboss-net.war/WEB-INF/web.xml
-%%T%%/server/all/deploy/jboss-net.sar/jboss-net.war/index.html
-%%T%%/server/all/deploy/jboss-net.sar/jmx-net.wsr/META-INF/MANIFEST.MF
-%%T%%/server/all/deploy/jboss-net.sar/jmx-net.wsr/META-INF/web-service.xml
-%%T%%/server/all/deploy/jboss-net.sar/saaj.jar
-%%T%%/server/all/deploy/jboss-net.sar/wsdl4j.jar
-%%T%%/server/all/deploy/jboss-xa-jdbc.rar
-%%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/META-INF/MANIFEST.MF
-%%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/META-INF/ejb-jar.xml
-%%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/META-INF/jboss.xml
-%%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha/httpsession/beanimpl/ejb/ClientTCLInterceptor.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha/httpsession/beanimpl/ejb/ClusteredHTTPSessionBeanAbstract.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha/httpsession/beanimpl/ejb/ClusteredHTTPSessionBeanCmp11.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha/httpsession/beanimpl/ejb/ClusteredHTTPSessionBeanImpl.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha/httpsession/beanimpl/ejb/ServerTCLInterceptor.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha/httpsession/beanimpl/interfaces/ClusteredHTTPSession.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha/httpsession/beanimpl/interfaces/ClusteredHTTPSessionBusiness.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha/httpsession/beanimpl/interfaces/ClusteredHTTPSessionHome.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha/httpsession/beanimpl/interfaces/LocalClusteredHTTPSession.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha/httpsession/beanimpl/interfaces/LocalClusteredHTTPSessionHome.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/META-INF/MANIFEST.MF
-%%T%%/server/all/deploy/jbossha-httpsession.sar/META-INF/jboss-service.xml
-%%T%%/server/all/deploy/jbossha-httpsession.sar/org/jboss/ha/httpsession/beanimpl/interfaces/ClusteredHTTPSession.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/org/jboss/ha/httpsession/beanimpl/interfaces/ClusteredHTTPSessionBusiness.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/org/jboss/ha/httpsession/beanimpl/interfaces/ClusteredHTTPSessionHome.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/org/jboss/ha/httpsession/beanimpl/interfaces/LocalClusteredHTTPSession.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/org/jboss/ha/httpsession/beanimpl/interfaces/LocalClusteredHTTPSessionHome.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/org/jboss/ha/httpsession/server/ClusteredHTTPSessionService$CleanupDaemon.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/org/jboss/ha/httpsession/server/ClusteredHTTPSessionService.class
-%%T%%/server/all/deploy/jbossha-httpsession.sar/org/jboss/ha/httpsession/server/ClusteredHTTPSessionServiceMBean.class
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/META-INF/jboss-service.xml
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/ROOT.war/WEB-INF/web.xml
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/ROOT.war/index.html
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/ROOT.war/jboss.css
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/ROOT.war/logo.gif
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/ROOT.war/xform.xsl
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/ant.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/catalina-manager.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/catalina-optional.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/catalina.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/commons-beanutils.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/commons-collections.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/commons-digester.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/commons-el.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/commons-logging.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/commons-modeler.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/jakarta-regexp-1.3.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/jasper-compiler.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/jasper-runtime.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/jsp-api.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/naming-common.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/naming-resources.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/server.xml
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/servlet-api.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/servlets-common.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/servlets-default.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/servlets-invoker.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/servlets-webdav.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/sso-channel.xml
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/tomcat-coyote.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/tomcat-http11.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/tomcat-jk2.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/tomcat-util.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/tomcat50-service.jar
-%%T%%/server/all/deploy/jbossweb-tomcat50.sar/web.xml
-%%T%%/server/all/deploy/jms/hajndi-jms-ds.xml
-%%T%%/server/all/deploy/jms/jms-ra.rar
-%%T%%/server/all/deploy/jmx-console.war/META-INF/MANIFEST.MF
-%%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/jmx-console-roles.properties
-%%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/jmx-console-users.properties
-%%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/AddressPort.class
-%%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/AttrResultInfo.class
-%%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/OpResultInfo.class
-%%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/Server.class
-%%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/ClusteredConsoleServlet.class
-%%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet.class
-%%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model/DomainData.class
-%%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model/MBeanData.class
-%%T%%/server/all/deploy/jmx-console.war/WEB-INF/jboss-web.xml
-%%T%%/server/all/deploy/jmx-console.war/WEB-INF/web.xml
-%%T%%/server/all/deploy/jmx-console.war/cluster/bootstrap.html
-%%T%%/server/all/deploy/jmx-console.war/cluster/clusterView.jsp
-%%T%%/server/all/deploy/jmx-console.war/cluster/index.html
-%%T%%/server/all/deploy/jmx-console.war/displayMBeans.jsp
-%%T%%/server/all/deploy/jmx-console.war/displayOpResult.jsp
-%%T%%/server/all/deploy/jmx-console.war/images/logo.gif
-%%T%%/server/all/deploy/jmx-console.war/index.jsp
-%%T%%/server/all/deploy/jmx-console.war/inspectMBean.jsp
-%%T%%/server/all/deploy/jmx-console.war/style_master.css
-%%T%%/server/all/deploy/jmx-invoker-adaptor-server.sar/META-INF/MANIFEST.MF
-%%T%%/server/all/deploy/jmx-invoker-adaptor-server.sar/META-INF/jboss-service.xml
-%%T%%/server/all/deploy/mail-service.xml
-%%T%%/server/all/deploy/management/console-mgr.sar
-%%T%%/server/all/deploy/management/web-console.war
-%%T%%/server/all/deploy/monitoring-service.xml
-%%T%%/server/all/deploy/properties-service.xml
-%%T%%/server/all/deploy/schedule-manager-service.xml
-%%T%%/server/all/deploy/scheduler-service.xml
-%%T%%/server/all/deploy/snmp-adaptor.sar/META-INF/MANIFEST.MF
-%%T%%/server/all/deploy/snmp-adaptor.sar/META-INF/jboss-service.xml
-%%T%%/server/all/deploy/snmp-adaptor.sar/castor.jar
-%%T%%/server/all/deploy/snmp-adaptor.sar/managers.xml
-%%T%%/server/all/deploy/snmp-adaptor.sar/notifications.xml
-%%T%%/server/all/deploy/sqlexception-service.xml
-%%T%%/server/all/deploy/transaction-service.xml
-%%T%%/server/all/deploy/user-service.xml
-%%T%%/server/all/deploy/uuid-key-generator.sar
-%%T%%/server/all/farm/cluster-examples-service.xml
-%%T%%/server/all/lib/activation.jar
-%%T%%/server/all/lib/autonumber-plugin.jar
-%%T%%/server/all/lib/avalon-framework.jar
-%%T%%/server/all/lib/bcel.jar
-%%T%%/server/all/lib/bindingservice-plugin.jar
-%%T%%/server/all/lib/bsh-core-1.3.0.jar
-%%T%%/server/all/lib/bsh-deployer.jar
-%%T%%/server/all/lib/commons-logging.jar
-%%T%%/server/all/lib/hsqldb-plugin.jar
-%%T%%/server/all/lib/hsqldb.jar
-%%T%%/server/all/lib/jacorb.jar
-%%T%%/server/all/lib/jboss-cache.jar
-%%T%%/server/all/lib/jboss-common-jdbc-wrapper.jar
-%%T%%/server/all/lib/jboss-iiop.jar
-%%T%%/server/all/lib/jboss-j2ee.jar
-%%T%%/server/all/lib/jboss-jaas.jar
-%%T%%/server/all/lib/jboss-jsr77.jar
-%%T%%/server/all/lib/jboss-management.jar
-%%T%%/server/all/lib/jboss-monitoring.jar
-%%T%%/server/all/lib/jboss-transaction.jar
-%%T%%/server/all/lib/jboss.jar
-%%T%%/server/all/lib/jbossha.jar
-%%T%%/server/all/lib/jbossmq.jar
-%%T%%/server/all/lib/jbosssx.jar
-%%T%%/server/all/lib/jcert.jar
-%%T%%/server/all/lib/jgroups.jar
-%%T%%/server/all/lib/jmx-adaptor-plugin.jar
-%%T%%/server/all/lib/jnet.jar
-%%T%%/server/all/lib/jnpserver.jar
-%%T%%/server/all/lib/jpl-pattern.jar
-%%T%%/server/all/lib/jpl-util.jar
-%%T%%/server/all/lib/jsse.jar
-%%T%%/server/all/lib/log4j.jar
-%%T%%/server/all/lib/mail-plugin.jar
-%%T%%/server/all/lib/mail.jar
-%%T%%/server/all/lib/properties-plugin.jar
-%%T%%/server/all/lib/scheduler-plugin-example.jar
-%%T%%/server/all/lib/scheduler-plugin.jar
-%%T%%/server/all/lib/snmp-adaptor.jar
-%%T%%/server/all/lib/snmp-support.jar
-%%T%%/server/all/lib/xalan.jar
-%%T%%/server/default/conf/jboss-minimal.xml
-%%T%%/server/default/conf/jboss-service.xml
-%%T%%/server/default/conf/jbossmq-state.xml
-%%T%%/server/default/conf/jndi.properties
-%%T%%/server/default/conf/log4j.xml
-%%T%%/server/default/conf/login-config.xml
-%%T%%/server/default/conf/server.policy
-%%T%%/server/default/conf/standardjaws.xml
-%%T%%/server/default/conf/standardjboss.xml
-%%T%%/server/default/conf/standardjbosscmp-jdbc.xml
-%%T%%/server/default/conf/xmdesc/ClientUserTransaction-xmbean.xml
-%%T%%/server/default/conf/xmdesc/JNDIView-xmbean.xml
-%%T%%/server/default/conf/xmdesc/TransactionManagerService-xmbean.xml
-%%T%%/server/default/deploy/cache-invalidation-service.xml
-%%T%%/server/default/deploy/client-deployer-service.xml
-%%T%%/server/default/deploy/hsqldb-ds.xml
-%%T%%/server/default/deploy/http-invoker.sar/META-INF/MANIFEST.MF
-%%T%%/server/default/deploy/http-invoker.sar/META-INF/jboss-service.xml
-%%T%%/server/default/deploy/http-invoker.sar/invoker.war/META-INF/MANIFEST.MF
-%%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet$GetCredentialAction.class
-%%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet$GetPrincipalAction.class
-%%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet.class
-%%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/NamingFactoryServlet.class
-%%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/ReadOnlyAccessFilter.class
-%%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/roles.properties
-%%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/users.properties
-%%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/jboss-web.xml
-%%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/web.xml
-%%T%%/server/default/deploy/jboss-jca.sar
-%%T%%/server/default/deploy/jboss-local-jdbc.rar
-%%T%%/server/default/deploy/jboss-xa-jdbc.rar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/META-INF/jboss-service.xml
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/ROOT.war/WEB-INF/web.xml
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/ROOT.war/index.html
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/ROOT.war/jboss.css
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/ROOT.war/logo.gif
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/ROOT.war/xform.xsl
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/ant.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/catalina-manager.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/catalina-optional.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/catalina.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/commons-beanutils.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/commons-collections.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/commons-digester.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/commons-el.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/commons-logging.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/commons-modeler.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/jakarta-regexp-1.3.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/jasper-compiler.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/jasper-runtime.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/jsp-api.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/naming-common.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/naming-resources.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/server.xml
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/servlet-api.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/servlets-common.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/servlets-default.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/servlets-invoker.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/servlets-webdav.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/sso-channel.xml
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/tomcat-coyote.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/tomcat-http11.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/tomcat-jk2.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/tomcat-util.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/tomcat50-service.jar
-%%T%%/server/default/deploy/jbossweb-tomcat50.sar/web.xml
-%%T%%/server/default/deploy/jms/hsqldb-jdbc-state-service.xml
-%%T%%/server/default/deploy/jms/hsqldb-jdbc2-service.xml
-%%T%%/server/default/deploy/jms/jbossmq-destinations-service.xml
-%%T%%/server/default/deploy/jms/jbossmq-httpil.sar/META-INF/MANIFEST.MF
-%%T%%/server/default/deploy/jms/jbossmq-httpil.sar/META-INF/jboss-service.xml
-%%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/META-INF/MANIFEST.MF
-%%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/org/jboss/mq/il/http/servlet/HTTPServerILServlet.class
-%%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/roles.properties
-%%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/users.properties
-%%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/jboss-web.xml
-%%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/web.xml
-%%T%%/server/default/deploy/jms/jbossmq-service.xml
-%%T%%/server/default/deploy/jms/jms-ds.xml
-%%T%%/server/default/deploy/jms/jms-ra.rar
-%%T%%/server/default/deploy/jms/jvm-il-service.xml
-%%T%%/server/default/deploy/jms/uil2-service.xml
-%%T%%/server/default/deploy/jmx-console.war/META-INF/MANIFEST.MF
-%%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/jmx-console-roles.properties
-%%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/jmx-console-users.properties
-%%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/AddressPort.class
-%%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/AttrResultInfo.class
-%%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/OpResultInfo.class
-%%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/Server.class
-%%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/ClusteredConsoleServlet.class
-%%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet.class
-%%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model/DomainData.class
-%%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model/MBeanData.class
-%%T%%/server/default/deploy/jmx-console.war/WEB-INF/jboss-web.xml
-%%T%%/server/default/deploy/jmx-console.war/WEB-INF/web.xml
-%%T%%/server/default/deploy/jmx-console.war/cluster/bootstrap.html
-%%T%%/server/default/deploy/jmx-console.war/cluster/clusterView.jsp
-%%T%%/server/default/deploy/jmx-console.war/cluster/index.html
-%%T%%/server/default/deploy/jmx-console.war/displayMBeans.jsp
-%%T%%/server/default/deploy/jmx-console.war/displayOpResult.jsp
-%%T%%/server/default/deploy/jmx-console.war/images/logo.gif
-%%T%%/server/default/deploy/jmx-console.war/index.jsp
-%%T%%/server/default/deploy/jmx-console.war/inspectMBean.jsp
-%%T%%/server/default/deploy/jmx-console.war/style_master.css
-%%T%%/server/default/deploy/jmx-invoker-adaptor-server.sar/META-INF/MANIFEST.MF
-%%T%%/server/default/deploy/jmx-invoker-adaptor-server.sar/META-INF/jboss-service.xml
-%%T%%/server/default/deploy/mail-service.xml
-%%T%%/server/default/deploy/management/console-mgr.sar
-%%T%%/server/default/deploy/management/web-console.war
-%%T%%/server/default/deploy/monitoring-service.xml
-%%T%%/server/default/deploy/properties-service.xml
-%%T%%/server/default/deploy/schedule-manager-service.xml
-%%T%%/server/default/deploy/scheduler-service.xml
-%%T%%/server/default/deploy/sqlexception-service.xml
-%%T%%/server/default/deploy/transaction-service.xml
-%%T%%/server/default/deploy/user-service.xml
-%%T%%/server/default/deploy/uuid-key-generator.sar
-%%T%%/server/default/lib/activation.jar
-%%T%%/server/default/lib/autonumber-plugin.jar
-%%T%%/server/default/lib/bcel.jar
-%%T%%/server/default/lib/bindingservice-plugin.jar
-%%T%%/server/default/lib/bsh-core-1.3.0.jar
-%%T%%/server/default/lib/bsh-deployer.jar
-%%T%%/server/default/lib/hsqldb-plugin.jar
-%%T%%/server/default/lib/hsqldb.jar
-%%T%%/server/default/lib/jboss-common-jdbc-wrapper.jar
-%%T%%/server/default/lib/jboss-j2ee.jar
-%%T%%/server/default/lib/jboss-jaas.jar
-%%T%%/server/default/lib/jboss-jsr77.jar
-%%T%%/server/default/lib/jboss-management.jar
-%%T%%/server/default/lib/jboss-monitoring.jar
-%%T%%/server/default/lib/jboss-transaction.jar
-%%T%%/server/default/lib/jboss.jar
-%%T%%/server/default/lib/jbossha.jar
-%%T%%/server/default/lib/jbossmq.jar
-%%T%%/server/default/lib/jbosssx.jar
-%%T%%/server/default/lib/jcert.jar
-%%T%%/server/default/lib/jmx-adaptor-plugin.jar
-%%T%%/server/default/lib/jnet.jar
-%%T%%/server/default/lib/jnpserver.jar
-%%T%%/server/default/lib/jpl-pattern.jar
-%%T%%/server/default/lib/jpl-util.jar
-%%T%%/server/default/lib/jsse.jar
-%%T%%/server/default/lib/log4j.jar
-%%T%%/server/default/lib/mail-plugin.jar
-%%T%%/server/default/lib/mail.jar
-%%T%%/server/default/lib/properties-plugin.jar
-%%T%%/server/default/lib/scheduler-plugin-example.jar
-%%T%%/server/default/lib/scheduler-plugin.jar
-%%T%%/server/default/lib/snmp-support.jar
-%%T%%/server/default/lib/xalan.jar
-%%T%%/server/minimal/conf/jboss-service.xml
-%%T%%/server/minimal/conf/jndi.properties
-%%T%%/server/minimal/conf/log4j.xml
-%%T%%/server/minimal/deploy/user-service.xml
-%%T%%/server/minimal/lib/jboss-management.jar
-%%T%%/server/minimal/lib/jboss-minimal.jar
-%%T%%/server/minimal/lib/jnet.jar
-%%T%%/server/minimal/lib/jnpserver.jar
-%%T%%/server/minimal/lib/log4j.jar
-@dirrm %%T%%/server/minimal/lib
-@dirrm %%T%%/server/minimal/deploy
-@dirrm %%T%%/server/minimal/conf
-@dirrm %%T%%/server/minimal
-@dirrm %%T%%/server/default/lib
-@dirrm %%T%%/server/default/deploy/management
-@dirrm %%T%%/server/default/deploy/jmx-invoker-adaptor-server.sar/META-INF
-@dirrm %%T%%/server/default/deploy/jmx-invoker-adaptor-server.sar
-@dirrm %%T%%/server/default/deploy/jmx-console.war/images
-@dirrm %%T%%/server/default/deploy/jmx-console.war/cluster
-@dirrm %%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model
-@dirrm %%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html
-@dirrm %%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control
-@dirrm %%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor
-@dirrm %%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx
-@dirrm %%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss
-@dirrm %%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes/org
-@dirrm %%T%%/server/default/deploy/jmx-console.war/WEB-INF/classes
-@dirrm %%T%%/server/default/deploy/jmx-console.war/WEB-INF
-@dirrm %%T%%/server/default/deploy/jmx-console.war/META-INF
-@dirrm %%T%%/server/default/deploy/jmx-console.war
-@dirrm %%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/org/jboss/mq/il/http/servlet
-@dirrm %%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/org/jboss/mq/il/http
-@dirrm %%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/org/jboss/mq/il
-@dirrm %%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/org/jboss/mq
-@dirrm %%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/org/jboss
-@dirrm %%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/org
-@dirrm %%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes
-@dirrm %%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF
-@dirrm %%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war/META-INF
-@dirrm %%T%%/server/default/deploy/jms/jbossmq-httpil.sar/jbossmq-httpil.war
-@dirrm %%T%%/server/default/deploy/jms/jbossmq-httpil.sar/META-INF
-@dirrm %%T%%/server/default/deploy/jms/jbossmq-httpil.sar
-@dirrm %%T%%/server/default/deploy/jms
-@dirrm %%T%%/server/default/deploy/jbossweb-tomcat50.sar/ROOT.war/WEB-INF
-@dirrm %%T%%/server/default/deploy/jbossweb-tomcat50.sar/ROOT.war
-@dirrm %%T%%/server/default/deploy/jbossweb-tomcat50.sar/META-INF
-@dirrm %%T%%/server/default/deploy/jbossweb-tomcat50.sar
-@dirrm %%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet
-@dirrm %%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http
-@dirrm %%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation
-@dirrm %%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss
-@dirrm %%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org
-@dirrm %%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes
-@dirrm %%T%%/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF
-@dirrm %%T%%/server/default/deploy/http-invoker.sar/invoker.war/META-INF
-@dirrm %%T%%/server/default/deploy/http-invoker.sar/invoker.war
-@dirrm %%T%%/server/default/deploy/http-invoker.sar/META-INF
-@dirrm %%T%%/server/default/deploy/http-invoker.sar
-@dirrm %%T%%/server/default/deploy
-@dirrm %%T%%/server/default/conf/xmdesc
-@dirrm %%T%%/server/default/conf
-@dirrm %%T%%/server/default
-@dirrm %%T%%/server/all/lib
-@dirrm %%T%%/server/all/farm
-@dirrm %%T%%/server/all/deploy/snmp-adaptor.sar/META-INF
-@dirrm %%T%%/server/all/deploy/snmp-adaptor.sar
-@dirrm %%T%%/server/all/deploy/management
-@dirrm %%T%%/server/all/deploy/jmx-invoker-adaptor-server.sar/META-INF
-@dirrm %%T%%/server/all/deploy/jmx-invoker-adaptor-server.sar
-@dirrm %%T%%/server/all/deploy/jmx-console.war/images
-@dirrm %%T%%/server/all/deploy/jmx-console.war/cluster
-@dirrm %%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model
-@dirrm %%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html
-@dirrm %%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control
-@dirrm %%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor
-@dirrm %%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx
-@dirrm %%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss
-@dirrm %%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes/org
-@dirrm %%T%%/server/all/deploy/jmx-console.war/WEB-INF/classes
-@dirrm %%T%%/server/all/deploy/jmx-console.war/WEB-INF
-@dirrm %%T%%/server/all/deploy/jmx-console.war/META-INF
-@dirrm %%T%%/server/all/deploy/jmx-console.war
-@dirrm %%T%%/server/all/deploy/jms
-@dirrm %%T%%/server/all/deploy/jbossweb-tomcat50.sar/ROOT.war/WEB-INF
-@dirrm %%T%%/server/all/deploy/jbossweb-tomcat50.sar/ROOT.war
-@dirrm %%T%%/server/all/deploy/jbossweb-tomcat50.sar/META-INF
-@dirrm %%T%%/server/all/deploy/jbossweb-tomcat50.sar
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/org/jboss/ha/httpsession/server
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/org/jboss/ha/httpsession/beanimpl/interfaces
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/org/jboss/ha/httpsession/beanimpl
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/org/jboss/ha/httpsession
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/org/jboss/ha
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/org/jboss
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/org
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/META-INF
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha/httpsession/beanimpl/interfaces
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha/httpsession/beanimpl/ejb
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha/httpsession/beanimpl
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha/httpsession
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss/ha
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org/jboss
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/org
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar/META-INF
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar/ClusteredHttpSessionEB.jar
-@dirrm %%T%%/server/all/deploy/jbossha-httpsession.sar
-@dirrm %%T%%/server/all/deploy/jboss-net.sar/jmx-net.wsr/META-INF
-@dirrm %%T%%/server/all/deploy/jboss-net.sar/jmx-net.wsr
-@dirrm %%T%%/server/all/deploy/jboss-net.sar/jboss-net.war/WEB-INF
-@dirrm %%T%%/server/all/deploy/jboss-net.sar/jboss-net.war/META-INF
-@dirrm %%T%%/server/all/deploy/jboss-net.sar/jboss-net.war
-@dirrm %%T%%/server/all/deploy/jboss-net.sar/META-INF
-@dirrm %%T%%/server/all/deploy/jboss-net.sar
-@dirrm %%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet
-@dirrm %%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http
-@dirrm %%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation
-@dirrm %%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss
-@dirrm %%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org
-@dirrm %%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes
-@dirrm %%T%%/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF
-@dirrm %%T%%/server/all/deploy/http-invoker.sar/invoker.war/META-INF
-@dirrm %%T%%/server/all/deploy/http-invoker.sar/invoker.war
-@dirrm %%T%%/server/all/deploy/http-invoker.sar/META-INF
-@dirrm %%T%%/server/all/deploy/http-invoker.sar
-@dirrm %%T%%/server/all/deploy/deploy.last
-@dirrm %%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/org/jboss/mq/il/http/servlet
-@dirrm %%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/org/jboss/mq/il/http
-@dirrm %%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/org/jboss/mq/il
-@dirrm %%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/org/jboss/mq
-@dirrm %%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/org/jboss
-@dirrm %%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes/org
-@dirrm %%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF/classes
-@dirrm %%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/WEB-INF
-@dirrm %%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war/META-INF
-@dirrm %%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/jbossmq-httpil.war
-@dirrm %%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar/META-INF
-@dirrm %%T%%/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar
-@dirrm %%T%%/server/all/deploy-hasingleton/jms
-@dirrm %%T%%/server/all/deploy-hasingleton
-@dirrm %%T%%/server/all/deploy
-@dirrm %%T%%/server/all/conf/xmdesc
-@dirrm %%T%%/server/all/conf
-@dirrm %%T%%/server/all
-@dirrm %%T%%/server
-@dirrm %%T%%/log
-@dirrm %%T%%/lib
-@dirrm %%T%%/client
-@dirrm %%T%%/bin
-@dirrm %%T%%
Comment 13 Herve Quiroz freebsd_committer 2004-11-18 17:47:17 UTC
State Changed
From-To: open->feedback

A new patch has been submitted to address the above mentioned issues. 
Awaiting feedback from maintainer and/or original submitter.
Comment 14 Jonathan Chen 2004-11-21 10:26:01 UTC
On Thu, Nov 18, 2004 at 06:35:02PM +0100, Herve Quiroz wrote:

[...]
> NOTE3: The same way, how about having APP_HOME=${JAVASHAREDIR}/jboss4, as
> encouraged in the Porter's handbook [1] for Java application ports? I know
> other JBoss ports are installed directly under PREFIX but this does not quite
> comply with hier(7) here again. Most of the installed files for this port are
> indeed clearly "architecture-independent files" (data files, JAR files,
> scripts...).

I don't think this is a good idea as quite a few work files are generated
within the JBoss4 server directories when it is running; and I am of the
opinion that ${JAVASHAREDIR} should not have temporary working files of
any sort.

Cheers.
-- 
Jonathan Chen <jonc@chen.org.nz>
----------------------------------------------------------------------
                 When you don't know what you are doing, do it neatly.
Comment 15 Herve Quiroz freebsd_committer 2004-11-25 03:49:17 UTC
State Changed
From-To: feedback->closed

Patch commited.